<?php
/**
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

script('side_menu', 'admin');
style('side_menu', 'admin');
style('side_menu', 'support');

$choicesYesNo = [
    'No' => '0',
    'Yes' => '1',
];

$choicesSizes = [
    'Hidden' => 'hidden',
    'Small' => 'small',
    'Normal' => 'normal',
    'Big' => 'big',
];
?>

<div id="side-menu-section">
    <div class="section">
        <h2>
            <?php p($l->t('Colors')); ?>
        </h2>

        <div>
            <label for="side-menu-background-color" class="settings-hint">
                <?php p($l->t('Background color')); ?>
            </label>
        </div>
        <div>
            <input
                id="side-menu-background-color"
                name="background-color"
                type="color"
                value="<?php print_unescaped($_['background-color']); ?>">
            <input
                id="side-menu-background-color-to"
                name="background-color-to"
                type="color"
                value="<?php print_unescaped($_['background-color-to']); ?>">
        </div>

        <div>
            <label for="side-menu-current-app-background-color" class="settings-hint">
                <?php p($l->t('Background color of current app')); ?>
            </label>
        </div>
        <div>
            <input
                id="side-menu-current-app-background-color"
                name="current-app-background-color"
                type="color"
                value="<?php print_unescaped($_['current-app-background-color']); ?>">
        </div>

        <div>
            <label for="side-menu-text-color" class="settings-hint">
                <?php p($l->t('Text color')); ?>
            </label>
        </div>
        <div>
            <input
                id="side-menu-text-color"
                name="text-color"
                type="color"
                value="<?php print_unescaped($_['text-color']); ?>">
        </div>
    </div>

    <div class="section">
        <h2>
            <?php p($l->t('Opener')); ?>
        </h2>

        <?php
            $choices = [
                'Default' => 'side-menu-opener',
                'Hamburger' => 'side-menu-opener-hamburger',
                'Hamburger 2' => 'side-menu-opener-hamburger-2',
            ];
        ?>

        <div>
            <label for="side-menu-opener" class="settings-hint">
                <?php p($l->t('Icon')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-opener" name="opener">
                <?php foreach ($choices as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['opener']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>

        <?php
            $choices = [
                'Before the logo' => 'before',
                'After the logo' => 'after',
            ];
        ?>

        <div>
            <label for="side-menu-opener-position" class="settings-hint">
                <?php p($l->t('Position')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-opener-position" name="opener-position">
                <?php foreach ($choices as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['opener-position']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>

        <div>
            <label for="side-menu-opener-only" class="settings-hint">
                <?php p($l->t('Show only the opener (hidden logo)')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-opener-only" name="opener-only">
                <?php foreach ($choicesYesNo as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['opener-only']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>

    <div class="section">
        <h2>
            <?php p($l->t('Panel')); ?>
        </h2>

        <div>
            <label for="side-menu-opener" class="settings-hint">
                <?php p($l->t('Open the menu when the mouse is hover the opener (automatically disabled on touch screens)')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-opener-hover" name="opener-hover">
                <?php foreach ($choicesYesNo as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['opener-hover']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>

        <div>
            <label for="side-menu-opener" class="settings-hint">
                <?php p($l->t('Display the logo')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-display-logo" name="display-logo">
                <?php foreach ($choicesYesNo as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['display-logo']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </div>

        <div>
            <label class="settings-hint">
                <?php p($l->t('Icons and texts')); ?>
            </label>
        </div>

        <div>
            <select id="side-menu-size-icon" name="size-icon">
                <?php foreach ($choicesSizes as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['size-icon']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?> icon
                    </option>
                <?php endforeach; ?>
            </select>

            <select id="side-menu-size-text" name="size-text">
                <?php foreach ($choicesSizes as $label => $value): ?>
                    <option value="<?php echo $value ?>" <?php if ($value === $_['size-text']): ?>selected<?php endif; ?>>
                        <?php echo $l->t($label);  ?> text
                    </option>
                <?php endforeach; ?>
            </select>
        </div>
    </div>

    <div class="section">
        <input type="hidden" id="side-menu-cache" name="cache" value="<?php print_unescaped($_['cache']); ?>">

        <button id="side-menu-save" class="btn btn-primary"><?php p($l->t('Save')); ?></button>

        <span id="side-menu-message" class="msg"></span>

        <div style="height: 30px"></div>

        <div>
            <span for="side-menu-opener" class="settings-hint">
                <?php p($l->t('You like this app and you want to support me?')); ?>

                <a style="margin-left: 10px" target="_blank" href="https://www.buymeacoffee.com/deblan">
                    <button>
                        <?php p($l->t('Buy me a coffe ☕')); ?>
                    </button>
                </a>
            </span>
        </div>
    </div>
</div>
